#! /bin/bash
# (c) Thomas BERNARD 2013-2017

MANUAL_VOL="ZIG_ZAG_3"

echo "Mavericks Patch for $MANUAL_VOL"
MYDIR=`dirname "$0"`
killall Flip-book

if [ ! -d "/Volumes/$MANUAL_VOL" ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Volume $MANUAL_VOL introuvable. Veuillez inserer la clé USB." buttons { "OK" }
end tell
EOT
exit 1
fi

# /Volumes/ZIG_ZAG_3/content/ZIGZAG3_CA/data/Flipbook.app/Contents/MacOS/Flip-book
# /Volumes/ZIG_ZAG_3/content/ZIGZAG3_GP/data/Flipbook.app/Contents/MacOS/Flip-book
# /Volumes/ZIG_ZAG_3/content/ZIGZAG3_LE/data/Flipbook.app/Contents/MacOS/Flip-book
DEST_DIR1="/Volumes/$MANUAL_VOL/content/ZIGZAG3_CA/data/Flipbook.app/Contents"
DEST_DIR2="/Volumes/$MANUAL_VOL/content/ZIGZAG3_GP/data/Flipbook.app/Contents"
DEST_DIR3="/Volumes/$MANUAL_VOL/content/ZIGZAG3_LE/data/Flipbook.app/Contents"
if [ ! -d "$DEST_DIR1" ] || [ ! -d "$DEST_DIR2" ] || [ ! -d "$DEST_DIR3" ] ; then
osascript <<EOT
tell application "Finder"
	activate
	display dialog "Viewer introuvable sur la clé $MANUAL_VOL. Veuillez effectuer une restauration." buttons { "OK" }
end tell
EOT
exit 1
fi


for d in "$DEST_DIR1/MacOS" "$DEST_DIR2/MacOS" "$DEST_DIR3/MacOS" ; do
	if [ -f $d/Flip-book_32 ] ; then
		mv $d/Flipbook $d/Flipbook_32
		mv $d/Flip-book $d/Flipbook_64
		cp $d/Flipbook_64 $d/Flipbook
		mv $d/Flip-book_32 $d/Flip-book
		xattr -c $d/*
	fi
done

osascript <<EOT
tell application "Finder"
	activate
	open disk "$MANUAL_VOL"
	do shell script "if [ -f $MYDIR/../Resources/Flip-book.patched ] ; then cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR1/MacOS/Flip-book ; fi"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR1/Resources/lidy.cfg"
	do shell script "xattr -c $DEST_DIR1/MacOS/*"
	do shell script "if [ -f $MYDIR/../Resources/Flip-book.patched ] ; then cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR2/MacOS/Flip-book ; fi"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR2/Resources/lidy.cfg"
	do shell script "xattr -c $DEST_DIR2/MacOS/*"
	do shell script "if [ -f $MYDIR/../Resources/Flip-book.patched ] ; then cp $MYDIR/../Resources/Flip-book.patched $DEST_DIR3/MacOS/Flip-book ; fi"
	do shell script "cp $MYDIR/../Resources/lidy.cfg.patched $DEST_DIR3/Resources/lidy.cfg"
	do shell script "xattr -c $DEST_DIR3/MacOS/*"
	display dialog "Patch de la clé $MANUAL_VOL effectué avec succès"
end tell
EOT

